* debian/rules:
authorSam Hocevar <sam@videolan.org>
Fri, 1 Aug 2003 08:24:53 +0000 (08:24 +0000)
committerSam Hocevar <sam@videolan.org>
Fri, 1 Aug 2003 08:24:53 +0000 (08:24 +0000)
    + Activated freetype support.
  * debian/control:
    + Added a build-dependency on freetype6-dev.
    + Added a build-dependency on libdvbpsi2-dev.
    + We now recommend gnome-vlc | wxvlc.
    + We now suggest fortune-mod.

debian/README.Debian
debian/changelog
debian/control
debian/rules

index 4d360e6..0a5d5d2 100644 (file)
@@ -1,10 +1,11 @@
-$Id: README.Debian,v 1.2 2003/02/02 17:18:47 sam Exp $
+$Id: README.Debian,v 1.3 2003/08/01 08:24:53 sam Exp $
 
 Notes for anyone wanting to build Debian packages of VLC.
 
  - Default configuration is supposed to be latest unstable.
 
- - To build for a Debian woody system, use debian/woody-buildpackage.
+ - To build for a Debian woody system, first build a tarball using
+   "make dist-woody".
 
  - Usually VLC will come with a copy of ffmpeg and faad2 in the extras/
    directory, because they are not yet available in Debian.
index 4f1b20a..8bb1588 100644 (file)
@@ -1,3 +1,17 @@
+vlc (0.6.1+cvs-20030731-1) unstable; urgency=low
+
+  * New CVS snapshot, based on the 0.6.1 release.
+  * debian/control:
+    + Added a build-dependency on freetype6-dev.
+    + Added a build-dependency on libdvbpsi2-dev.
+    + We now recommend gnome-vlc | wxvlc.
+    + We now suggest fortune-mod.
+  * This release now uses libfreetype to render subtitles, and we recommend
+    ttf-freefont | ttf-thryomanes, so that the old .rle font is no longer
+    needed (Closes: #203013).
+
+ -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 31 Jul 2003 13:57:14 +0200
+
 vlc (0.6.0+cvs-20030716-2) unstable; urgency=low
 
   * debian/control:
index 3827c36..929147c 100644 (file)
@@ -2,7 +2,7 @@ Source: vlc
 Section: graphics
 Priority: optional
 Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>=3.4.4), gettext, fortune-mod, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>=0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi1-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, dvb-dev, libdv2-dev, libxosd-dev, svgalibg1-dev (>=1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev, libdvdplay0-dev (>=1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>=1.1.0), libimlib2-dev, libmatroska-dev
+Build-Depends: debhelper (>=3.4.4), gettext, fortune-mod, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>=0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, dvb-dev, libdv2-dev, libxosd-dev, svgalibg1-dev (>=1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev, libdvdplay0-dev (>=1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>=1.1.0), libimlib2-dev, libmatroska-dev, libfreetype6-dev
 Build-Conflicts: libmpeg2-dev, libmpeg2-0-dev, libmpeg2-1-dev, libmpeg2-2-dev, libmpeg2-3-dev
 Standards-Version: 3.6.0
 
@@ -10,8 +10,8 @@ Package: vlc
 Section: graphics
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: vlc-gui
-Suggests: gnome-vlc
+Recommends: gnome-vlc | wxvlc, ttf-freefont | ttf-thryomanes
+Suggests: fortune-mod
 Replaces: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
 Conflicts: vlc-plugin-dvb (<< 0.5.2-2), vlc-plugin-xosd (<< 0.5.2-2), vlc-plugin-dv (<< 0.5.2-2), vlc-plugin-mad (<< 0.5.2-2), vlc-mad (<< 0.5.0), vlc-plugin-a52 (<< 0.5.2-2), vlc-plugin-ogg (<< 0.5.2-2), vlc-plugin-lirc (<< 0.5.2-2), vlc-lirc (<< 0.5.0), vlc-plugin-aa (<< 0.5.2-2), vlc-aa (<< 0.5.0)
 Provides: mp3-decoder
index 8107dcc..6429308 100755 (executable)
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules for the VideoLAN Client - uses debhelper.
-# $Id: rules,v 1.102 2003/07/17 13:01:59 sam Exp $
+# $Id: rules,v 1.103 2003/08/01 08:24:53 sam Exp $
 # based on Joey Hess's one.
 
 # Uncomment this to turn on verbose mode.
@@ -41,7 +41,7 @@ CONFIG_FLAGS += \
        --enable-flac \
        --enable-skins \
        --disable-basic-skins \
-       --disable-freetype \
+       --enable-freetype \
        --enable-mkv \
        --enable-v4l \
        $(NULL)